Skip to main content
GET
Get prescriptions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number for pagination

Example:

1

page_size
integer

Number of items per page; defaults to 25, max of 200

Example:

25

status
string

Filter prescriptions by status. These can be comma-separated. Available status values are found in the get prescription statuses endpoint.

Example:

"new"

has_order
boolean

Filter prescriptions by whether they have an associated order. Only false is supported (returns prescriptions with no associated orders).

Example:

false

patient_id
string<uuid>

Filter prescriptions by patient ID. Send patient_id=null to find prescriptions with no patient assigned.

Example:

"5c6b8e2f-7e3c-4f2d-8a1b-9c7d5e4f3g2h"

prescription_product_id
string<uuid>

Filter prescriptions by prescription product ID. Send prescription_product_id=null to find prescriptions with no prescription product assigned.

Example:

"5c6b8e2f-7e3c-4f2d-8a1b-9c7d5e4f3g2h"

prescriber_id
string<uuid>

Filter prescriptions by prescriber ID. Send prescriber_id=null to find prescriptions with no prescriber assigned.

Example:

"5c6b8e2f-7e3c-4f2d-8a1b-9c7d5e4f3g2h"

refill_risk
boolean

If true, include a nested refill_risk assessment on each prescription (prescriber license coverage vs predicted next fill). Omitted from each item when this parameter is absent or false.

Example:

true

Response

200 - application/json

Successful response with prescriptions accessible to the current user.

id
string<uuid>

Unique identifier

Example:

"0227d1e5-ba9a-42b5-8fe2-38882aa65708"

customer_id
string<uuid>

Once identified, Blend ID of the customer associated with the patient

Example:

"b658f16f-819c-4503-aede-bd555fc4ebfb"

electronic_prescription_id
string<uuid>

Blend ID of the containing electronic prescription

Example:

"b658f16f-819c-4503-aede-bd555fc4ebfb"

refill_risk
object

Included only when refill_risk=true is passed on get prescription or get prescriptions. Omitted from the response otherwise.

patient_id
string

Once identified, Blend ID of the patient

prescriber_id
string

Once identified, Blend ID of the prescriber

prescription_product_id
string

Once identified, Blend ID of the prescription product

days_supply
number

Days supply of the prescription product

Example:

30

description
string

Description of the prescription product as imported directly from electronic prescription XML

directions
string

Parsed sig

drug_name
string

Name of the drug as provided in the electronic prescription XML

expires_at
string<date>

Date the prescription expires

Example:

"2026-04-25T00:00:00"

fills_remaining
number

Total number of fills remaining. Upon initial receipt, this will include initial fill quantity plus any refills.

Example:

3

transfer_fills
number

Number of fills completed before transfer

Example:

0

name
string

Name of the Blend prescription product as imported from the assciated prescription_product

Example:

"Topical Rapamycin"

notes
string

Notes as imported directly from electronic prescription XML

Example:

"Please dispense 30 days supply"

product_code
string

Product code of the prescription product as imported directly from electronic prescription XML

product_code_type
string

Type of product code as imported directly from electronic prescription XML

quantity
number

Quantity of the prescription product to dispense

Example:

30

refills
number

Number of refills as ordered by the prescriber

Example:

2

serial_number
string

Blend-generated serial number of the prescription product

Example:

"100721"

sig
string

Original sig as imported directly from electronic prescription XML

status
string

Status of the prescription in Blend workflow

Example:

"new"

strength
string

Strength of the prescription product as imported directly from electronic prescription XML

substitution_allowed
boolean

Whether the prescription product can be substituted

Example:

true

units
string

Units of measure; adheres to NCPDP QuantityUnitOfMeasure terminology code

Example:

"C48480"

written_at
string<date-time>

Date and time the prescription was written

Example:

"2025-04-25T00:00:00"